### Method

# Malcontent AppFilter is_appinfo_allowed

since: 0.2.0

#### Declaration [src]

    gboolean
    mct_app_filter_is_appinfo_allowed (
      MctAppFilter* filter,
      GAppInfo* app_info
    )

#### Description [src]

Check whether the app with the given `app_info` is allowed to be run according to this app filter.

This matches on multiple keys potentially present in the `GAppInfo`, including the path of the executable.

If the app filter is a blocklist, the `app_info` is blocked if any of its keys are blocked. If the app filter is an allowlist, the `app_info` is allowed if any of its keys are allowed.

Available since: 0.2.0

#### Parameters

`app_info`

  Type: `GAppInfo`

  Application information.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if the user this `filter` corresponds to is allowed to run the app represented by `app_info` according to the `filter` policy; false otherwise.